Subject: RE: [dhcwg] Re: IPv6 WG Last Call:draft-ietf-ipv6-ra-mo-flags-01.txt

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Tue, 17 May 2005 15:41:25 -0400

Tim:

I'm not sure what you mean by your question ... SLAC (stateless
auto-configuration) is independent of stateful. There may be some
prefixes on a link that are stateful (0 or more) and others that are
stateless (0 or more - excluding the link-local which is always
stateless).

So, SLAC is independent of stateful (DHCPv6).

- Bernie

> -----Original Message-----
> From: timothy enos [mailto:[email-masked]] 
> Sent: Monday, May 16, 2005 10:00 PM
> To: Bernie Volz (volz); 'Pekka Savola'
> Cc: [email-masked]; Ralph Droms (rdroms); 'IPv6 WG'; 'JINMEI 
> Tatuya / ????'
> Subject: RE: [dhcwg] Re: IPv6 WG Last 
> Call:draft-ietf-ipv6-ra-mo-flags-01.txt
> 
> Bernie,
> 	
> Your points are well taken, and I agree. Making these flags 'hints'
> makes sense. Also, it seems that if a client does not know what to do
> (forgive the anthropomorphism) in response to having received 
> an RA with
> the M (and O) bit(s) set (because it is not a DHCPv6 client), it would
> just ignore it/them. 
> 
> Also wondering if there are any RFC 3315-capable clients that, after
> failing to get config info from a DHCPv6 server 'x' times, 
> would revert
> to SLAC?
> 
> Tim Enos
> 1Sam16:7
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of
> Bernie Volz (volz)
> Sent: Monday, May 16, 2005 5:20 PM
> To: Pekka Savola
> Cc: [email-masked]; Ralph Droms (rdroms); IPv6 WG; JINMEI 
> Tatuya / ????
> Subject: RE: [dhcwg] Re: IPv6 WG Last
> Call:draft-ietf-ipv6-ra-mo-flags-01.txt
> 
> Hey, if they don't know what they're doing then set the bits 
> and be done
> with it. If there's no DHCP server, the clients will try to get
> configuration information and fail and continuously try in the
> background. That's the safest fallback and the recommended default,
> IMHO.
> 
> If they do set them wrong, it won't take long for users to complain.
> Just as they do now if the DHCP server or routing infrastructure is
> down.
> 
> Trying to design for stupidity only produces the same.
> 
> - Bernie 
> 
> > -----Original Message-----
> > From: Pekka Savola [mailto:[email-masked]] 
> > Sent: Monday, May 16, 2005 5:09 PM
> > To: Bernie Volz (volz)
> > Cc: JINMEI Tatuya / ????; [email-masked]; IPv6 WG; Ralph 
> > Droms (rdroms)
> > Subject: RE: [dhcwg] Re: IPv6 WG Last 
> > Call:draft-ietf-ipv6-ra-mo-flags-01.txt
> > 
> > On Mon, 16 May 2005, Bernie Volz (volz) wrote:
> > > BTW, if you want to look at this from the router administrator's
> > > perspective:
> > >
> > > Configure the router to send the M flag set in routing 
> > advertisements
> > > for a Link IF:
> > > 1. A stateful DHCP server is deployed for that link 
> (either on it or
> > > reachable via a relay agent) AND
> > 
> > IMHO, you're making a significant leap of faith in assuming that 
> > whoever configures the router's M-flag advertisements has 
> sufficient 
> > clue to grasp the different semantics that arise with:
> > 
> >   - M-flag and/or O-flag
> >   - stateless and stateful clients
> >   - stateless and stateful servers
> >   - stateless and stateful relay agents
> > 
> > Hence, if we want to build a robust system, we need to 
> design it with 
> > care.
> > 
> > 
> > 
> > -- 
> > Pekka Savola                 "You each name yourselves king, yet the
> > Netcore Oy                    kingdom bleeds."
> > Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> > 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "timothy enos" <[email-masked]>
Date: Tue, 17 May 2005 19:52:12 -0400

Hi Bernie, 

I'm well aware that stateful (DHCPv6, RFC 3315) and SLAC (RFC 2462) are
independent of one another; not sure what in my question was unclear.
While not required, I do appreciate the explanation. However my question
is answered in RFC 3315, page 33 (section 17.1.2) quoted below:

  "A DHCP client SHOULD choose MRC and MRD to be 0.  If the DHCP client
   is configured with either MRC or MRD set to a value other than 0, it
   MUST stop trying to configure the interface if the message exchange
   fails.  After the DHCP client stops trying to configure the
   interface, it SHOULD restart the reconfiguration process after some
   external event, such as user input, system restart, or when the
   client is attached to a new link."

My question was whether or not there are any existing implementations
wherein a DHCPv6 client, after its MRC (being a positive integer) is
reached, will then (as a backup or alternate method) seek to use SLAC.
If so, they would clearly be in violation of the MUST as quoted above. 

The original question in this thread seemed to be about the M and O
flags. I'd reaffirm that I agree with your contention on 16May05,
10:04am, quoted below:

"In IPv6, the M and O flag should serve as hints. Period. A host is
perfectly free to do what it wants (or what it has been configured to
do)."

Best regards,

Tim
1Sam16:7

-----Original Message-----
From: Bernie Volz (volz) [mailto:[email-masked]] 
Sent: Tuesday, May 17, 2005 3:41 PM
To: timothy enos; Pekka Savola
Cc: [email-masked]; Ralph Droms (rdroms); IPv6 WG; JINMEI Tatuya / ????
Subject: RE: [dhcwg] Re: IPv6 WG Last

Tim:

- Bernie